<?php

namespace Glmdev\Meta;

use Glmdev\Meta\Contracts;
use Glmdev\Meta\Meta;
use Illuminate\Support\ServiceProvider;

class MetaServiceProvider extends ServiceProvider
{
    /**
     * Indicates if loading of the provider is deferred.
     *
     * @var bool
     */
    protected $defer = true;
    
    /**
     * Register any package services.
     *
     * @return void
     */
    public function register()
    {
        $this->app->bind(Contracts\Meta::class, 'Meta');
    }
    
    /**
     * Get the services provided by the provider.
     *
     * @return array
     */
    public function provides()
    {
        return [
            Contracts\Meta::class,
            'Meta',
        ];
    }
}
